aboutsummaryrefslogtreecommitdiffstats
path: root/contrib
diff options
context:
space:
mode:
authorBrian Behlendorf <[email protected]>2022-06-29 15:33:38 -0700
committerTony Hutter <[email protected]>2023-01-19 12:50:42 -0800
commit04fcf13de0dfecc23536457694d568eecd28a6a7 (patch)
treed2118567927badbe8aac038d4556cd32a97cb6f0 /contrib
parent37dbf91c8a4ba51d64eb3b35356562a95c7984ce (diff)
dracut: fix typo in mount-zfs.sh.in
Format the `zpool get` command correctly. The -o option must be followed by "all" or the requested field name. Reviewed-by: Ahelenia ZiemiaƄska <[email protected]> Reviewed-by: George Melikov <[email protected]> Signed-off-by: Brian Behlendorf <[email protected]> Closes #13602
Diffstat (limited to 'contrib')
-rwxr-xr-xcontrib/dracut/90zfs/mount-zfs.sh.in2
1 files changed, 1 insertions, 1 deletions
diff --git a/contrib/dracut/90zfs/mount-zfs.sh.in b/contrib/dracut/90zfs/mount-zfs.sh.in
index fa9f1bb76..b0eb614a6 100755
--- a/contrib/dracut/90zfs/mount-zfs.sh.in
+++ b/contrib/dracut/90zfs/mount-zfs.sh.in
@@ -82,7 +82,7 @@ ZFS_DATASET="${ZFS_DATASET:-${root}}"
ZFS_POOL="${ZFS_DATASET%%/*}"
-if ! zpool get -Ho name "${ZFS_POOL}" > /dev/null 2>&1; then
+if ! zpool get -Ho value name "${ZFS_POOL}" > /dev/null 2>&1; then
info "ZFS: Importing pool ${ZFS_POOL}..."
# shellcheck disable=SC2086
if ! zpool import -N ${ZPOOL_IMPORT_OPTS} "${ZFS_POOL}"; then